[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Frogs: oldaddlyrics in

From: Mats Bengtsson
Subject: Re: Frogs: oldaddlyrics in
Date: Wed, 07 Jan 2009 21:41:11 +0100
User-agent: Internet Messaging Program (IMP) H3 (4.0.5)

Hi Carl,
\oladdlyrics is on my to-do list of undocumented functions.
\oldaddlyrics is the deprecated version of \addlyrics.
Should I remove the oldaddlyrics entry and add in one for \addlyrics so
this one is included in the docs, or just put a note that oldaddlyrics
is retained only in order to retain backwards compatibility?

I'd recommend that you keep the oldaddlyrics entry, and make sure it
mentions that it is deprecated.

I hope you have realized that \oldaddlyrics is not only deprecated
but actually doesn't work at all! There' no need to keep it, but we
should preferably introduce a convert-ly rule that prints out a warning to the user that he manually has to replace \oldaddlyrics
with \lyricsto or the new \addlyrics (which has another syntax).
This was discussed on the mailing list some time ago.

I realize that this breaks Graham's rule that we shouldn't add any
convert-ly rules in 2.12, but the rule should actually be specified
for some old LilyPond version (probably 2.8.x or 2.10.x) where \oldaddlyrics actually stopped working. Perhaps this has already been done.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]